// smallmdi.cpp -- Sample MDI application by Tom Swan

#include <owl.h>
#include <mdi.h>
#define ID_MENU 100

class TMDIApp: public TApplication
{
public:
  TMDIApp(LPSTR AName, HINSTANCE AnInstance,
    HINSTANCE APrevInstance, LPSTR ACmdLine, int ACmdShow)
    : TApplication(AName, AnInstance, APrevInstance,
      ACmdLine, ACmdShow) {};
  virtual void InitMainWindow();
};

void TMDIApp::InitMainWindow()
{
  MainWindow = new TMDIFrame("Smallest MDI", ID_MENU);
}

int PASCAL WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance,
  LPSTR lpszCmdLine, int nCmdShow)
{
  TMDIApp MDIApp("MDIApp", hInstance, hPrevInstance,
    lpszCmdLine, nCmdShow);
  MDIApp.Run();
  return MDIApp.Status;
}
